# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/Python Data Analysis/Week5 Statistics/51_descriptive_statistics.ipynb.

# %% auto 0
__all__ = ['cramersV', 'cramersVCorrected']

# %% ../nbs/Python Data Analysis/Week5 Statistics/51_descriptive_statistics.ipynb 53
def cramersV(contingency_table):
    
    chi2_statistic = sp.stats.chi2_contingency(contingency_table)[0]
    total_observations = contingency_table.sum().sum()
    phi2 = chi2_statistic / total_observations
    rows, columns = contingency_table.shape
    
    return np.sqrt(phi2/ min(rows-1, columns-1))

# %% ../nbs/Python Data Analysis/Week5 Statistics/51_descriptive_statistics.ipynb 56
def cramersVCorrected(contingency_table):
    
    chi2_statistic = sp.stats.chi2_contingency(contingency_table)[0]
    total_observations = contingency_table.sum().sum()
    phi2 = chi2_statistic / total_observations
    rows, columns = contingency_table.shape
    phi2_corrected = max(0, phi2 - ((columns-1)*(rows-1))/(total_observations-1))
    rows_corrected = rows - ((rows-1)**2)/(total_observations-1)
    columns_corrected = columns - ((columns-1)**2)/(total_observations-1)
    
    return np.sqrt(phi2_corrected / min((columns_corrected-1), (rows_corrected-1)))
